Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlags2

    java.lang.Object
      org.netlib.lapack.Dlags2

    public class Dlags2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAGS2 computes 2-by-2 orthogonal matrices U, V and Q, such
     *  that if ( UPPER ) then
     *
     *            U'*A*Q = U'*( A1 A2 )*Q = ( x  0  )
     *                        ( 0  A3 )     ( x  x  )
     *  and
     *            V'*B*Q = V'*( B1 B2 )*Q = ( x  0  )
     *                        ( 0  B3 )     ( x  x  )
     *
     *  or if ( .NOT.UPPER ) then
     *
     *            U'*A*Q = U'*( A1 0  )*Q = ( x  x  )
     *                        ( A2 A3 )     ( 0  x  )
     *  and
     *            V'*B*Q = V'*( B1 0  )*Q = ( x  x  )
     *                        ( B2 B3 )     ( 0  x  )
     *
     *  The rows of the transformed A and B are parallel, where
     *
     *    U = (  CSU  SNU ), V = (  CSV SNV ), Q = (  CSQ   SNQ )
     *        ( -SNU  CSU )      ( -SNV CSV )      ( -SNQ   CSQ )
     *
     *  Z' denotes the transpose of Z.
     *
     *
     *  Arguments
     *  =========
     *
     *  UPPER   (input) LOGICAL
     *          = .TRUE.: the input matrices A and B are upper triangular.
     *          = .FALSE.: the input matrices A and B are lower triangular.
     *
     *  A1      (input) DOUBLE PRECISION
     *  A2      (input) DOUBLE PRECISION
     *  A3      (input) DOUBLE PRECISION
     *          On entry, A1, A2 and A3 are elements of the input 2-by-2
     *          upper (lower) triangular matrix A.
     *
     *  B1      (input) DOUBLE PRECISION
     *  B2      (input) DOUBLE PRECISION
     *  B3      (input) DOUBLE PRECISION
     *          On entry, B1, B2 and B3 are elements of the input 2-by-2
     *          upper (lower) triangular matrix B.
     *
     *  CSU     (output) DOUBLE PRECISION
     *  SNU     (output) DOUBLE PRECISION
     *          The desired orthogonal matrix U.
     *
     *  CSV     (output) DOUBLE PRECISION
     *  SNV     (output) DOUBLE PRECISION
     *          The desired orthogonal matrix V.
     *
     *  CSQ     (output) DOUBLE PRECISION
     *  SNQ     (output) DOUBLE PRECISION
     *          The desired orthogonal matrix Q.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dlags2()`

Method Summary
`static void` | `dlags2(boolean upper, double a1, double a2, double a3, double b1, double b2, double b3, doubleW csu, doubleW snu, doubleW csv, doubleW snv, doubleW csq, doubleW snq)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlags2

    public Dlags2()

Method Detail

### dlags2

    public static void dlags2(boolean upper,
                              double a1,
                              double a2,
                              double a3,
                              double b1,
                              double b2,
                              double b3,
                              doubleW csu,
                              doubleW snu,
                              doubleW csv,
                              doubleW snv,
                              doubleW csq,
                              doubleW snq)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD